Package org.opensaml.saml.saml2.core.impl

# Class SubjectLocalityImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.core.impl.SubjectLocalityImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `SubjectLocality`

public class SubjectLocalityImpl extends AbstractXMLObject implements SubjectLocality
A concrete implementation of `SubjectLocality`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`address`
The Address of the assertion.
`private String`
`dnsName`
The DNS Name of the assertion.

### Fields inherited from interface org.opensaml.saml.saml2.core.SubjectLocality

`ADDRESS_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, DNS_NAME_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SubjectLocalityImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAddress()`
Gets the IP address of the system from which the subject was authenticated.
`String`
`getDNSName()`
Gets the DNSName of the system from which the subject was authenticated.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setAddress(String newAddress)`
Sets the IP address of the system from which the subject was authenticated.
`void`
`setDNSName(String newDNSName)`
Sets the DNSName of the system from which the subject was authenticated.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### address

@Nullable private String address
The Address of the assertion.

### dnsName

@Nullable private String dnsName
The DNS Name of the assertion.

## Constructor Details

### SubjectLocalityImpl

protected SubjectLocalityImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAddress

@Nullable public String getAddress()
Gets the IP address of the system from which the subject was authenticated.

Specified by:
  `getAddress` in interface `SubjectLocality`
Returns:
  the IP address of the system from which the subject was authenticated

### setAddress

public void setAddress(@Nullable String newAddress)
Sets the IP address of the system from which the subject was authenticated.

Specified by:
  `setAddress` in interface `SubjectLocality`
Parameters:
  `newAddress` - the IP address of the system from which the subject was authenticated

### getDNSName

@Nullable public String getDNSName()
Gets the DNSName of the system from which the subject was authenticated.

Specified by:
  `getDNSName` in interface `SubjectLocality`
Returns:
  the DNSName of the system from which the subject was authenticated

### setDNSName

public void setDNSName(@Nullable String newDNSName)
Sets the DNSName of the system from which the subject was authenticated.

Specified by:
  `setDNSName` in interface `SubjectLocality`
Parameters:
  `newDNSName` - the DNSName of the system from which the subject was authenticated

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements